#!/usr/bin/env python3

from . import app
from .utils import process_instance

from flask import render_template
import json
import requests
import urllib.parse

@app.route("/")
def status():
    r = requests.get(app.config["PROMETHEUS_API_BASE"] + "/api/v1/query?" + urllib.parse.urlencode({'query': app.config["PROMETHEUS_QUERY"]}))
    j = json.loads(r.text)
    metrics = sorted(map(process_instance, j["data"]["result"]), key=lambda m: m["name"])
    return render_template("status.html", metrics=metrics)
